# Listings

> Wheelhouse Revenue Management API. Web version: https://docs.usewheelhouse.com/rm/reference/listings · OpenAPI spec: https://docs.usewheelhouse.com/rm/openapi.yaml

Read listing data and metadata. The RM API provides read-only access to listings.

## Endpoints

- [GET /listings](https://docs.usewheelhouse.com/rm/reference/rm-get-listings.md): Retrieve all listings for the authenticated user.
- [GET /listings/kpis](https://docs.usewheelhouse.com/rm/reference/rm-get-bulk-listing-kpis.md): Rank every listing by one KPI.
- [GET /listings/{listing_id}](https://docs.usewheelhouse.com/rm/reference/rm-get-listing.md): Get a single listing.
- [GET /listings/{listing_id}/pricing_tier](https://docs.usewheelhouse.com/rm/reference/rm-get-listing-pricing-tier.md): Get the pricing tier for a listing.
- [GET /listings/{listing_id}/recent_changes](https://docs.usewheelhouse.com/rm/reference/rm-get-listing-recent-changes.md): Get times of latest changes for a listing.
- [POST /listings/{listing_id}/sync](https://docs.usewheelhouse.com/rm/reference/rm-post-listing-sync.md): Trigger a manual sync for a listing.
- [GET /listings/{listing_id}/kpis](https://docs.usewheelhouse.com/rm/reference/rm-get-listing-kpis.md): Get rolling-window KPIs for a listing.
- [GET /listings/{listing_id}/kpis/monthly](https://docs.usewheelhouse.com/rm/reference/rm-get-listing-kpis-monthly.md): Get monthly stats for a listing.
- [GET /listings/{listing_id}/kpis/quarterly](https://docs.usewheelhouse.com/rm/reference/rm-get-listing-kpis-quarterly.md): Get quarterly stats for a listing.
- [GET /listings/{listing_id}/kpis/yearly](https://docs.usewheelhouse.com/rm/reference/rm-get-listing-kpis-yearly.md): Get yearly stats for a listing.
